Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.util.cluster
Class ClusterHelper

    java.lang.Object
      com.bea.wlcp.wlng.api.util.cluster.ClusterHelper

public class ClusterHelper
extends Object

Helper class for clustering.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `WLNG_AT_CLUSTER_TARGET`
`static String` | `WLNG_NT_CLUSTER_TARGET`

Constructor Summary
`ClusterHelper()`

Method Summary
`static Context` | `getAccessTierContext()` Gets the jndi Context for the access tier
`static String[]` | `getAccessTierServerAddresses()`
`static Context` | `getContextByClusterName(String clusterName)`
`static Context` | `getNetworkTierContext()` Gets the jndi Context for the network tier
`static String[]` | `getNetworkTierServerAddresses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WLNG_AT_CLUSTER_TARGET

    public static final String WLNG_AT_CLUSTER_TARGET

See Also:
  Constant Field Values

### WLNG_NT_CLUSTER_TARGET

    public static final String WLNG_NT_CLUSTER_TARGET

See Also:
  Constant Field Values

Constructor Detail

### ClusterHelper

    public ClusterHelper()

Method Detail

### getAccessTierContext

    public static Context getAccessTierContext()
                                        throws NamingException

  Gets the jndi Context for the access tier

  Returns:
    Context
  Throws:
    `NamingException`

### getAccessTierServerAddresses

    public static String[] getAccessTierServerAddresses()
                                                 throws NamingException

  Throws:
    `NamingException`

### getContextByClusterName

    public static Context getContextByClusterName(String clusterName)
                                           throws NamingException

  Throws:
    `NamingException`

### getNetworkTierContext

    public static Context getNetworkTierContext()
                                         throws NamingException

  Gets the jndi Context for the network tier

  Returns:
    Context
  Throws:
    `NamingException`

### getNetworkTierServerAddresses

    public static String[] getNetworkTierServerAddresses()
                                                  throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD